Уязвимость форматной строки в GNOME Foundation Display Manager

Дата публикации:
19.12.2006
Всего просмотров:
966
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNOME Display Manager (GDM) 2.x
Уязвимые версии: GNOME Foundation Display Manager версии до 2.14.11, 2.16.4 и 2.17

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость форматной строки обнаружена в функции "gdm_chooser_add_host()" в файле gdm2/gui/gdmchooser.c. Локальный пользователь может выполнить произвольный код на системе с привилегиями учетной записи gdmchooser путем ввода специально сформированной строки при указании удаленного хоста.

URL производителя: www.jirka.org/gdm.html

Решение: Установите последнюю версию (2.14.11, 2.16.4 или 2.17) с сайта производителя.

Ссылки: GNOME Foundation Display Manager gdmchooser Format String Vulnerability

или введите имя

CAPTCHA